%define upstream_name    IO-Interactive
%define upstream_version 1.021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Utilities for interactive I/O
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(version) >= 0.780.0
BuildArch:  noarch

%description
This module provides three utility subroutines that make it easier to
develop interactive applications...

* 'is_interactive()'

  This subroutine returns true if '*ARGV' and the currently selected
  filehandle (usually '*STDOUT') are connected to the terminal. The test is
  considerably more sophisticated than:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.21.0-2.mga6
+ Revision: 1028717
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 1.21.0-1.mga6
+ Revision: 953358
- update to 1.021

* Wed Feb 03 2016 umeabot <umeabot> 0.0.6-6.mga6
+ Revision: 933133
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-5.mga5
+ Revision: 741177
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-4.mga5
+ Revision: 685064
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.6-3.mga4
+ Revision: 512227
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.6-2.mga3
+ Revision: 368524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.0.6-1.mga1
+ Revision: 28598
- mageia rebuild
- imported package perl-IO-Interactive

